if select(2, UnitClass"player") ~= "HUNTER" then return end

function Talented:GetPetClass()
	local _, icon = GetTalentTabInfo(1, nil, true)
	if icon == "Interface\\Icons\\Ability_Druid_Swipe" then
		return "Ferocity"
	elseif icon == "Interface\\Icons\\Ability_Hunter_Pet_Bear" then
		return "Tenacity"
	elseif icon == "Interface\\Icons\\Ability_Hunter_CombatExperience" then
		return "Cunning"
	end
end

function Talented:PET_TALENT_POINTS_CHANGED()
	local class = self:GetPetClass()
	if not class then return end
	local template = self.pet_current
	if not template then
		template = {
			pet = true,
			name = "Current",
		}
		self.pet_current = template
	end
	template.class = class
	local info = self:UncompressSpellData(class)
	local total = 0
	for tab, tree in ipairs(info) do
		template[tab] = {}
		for index in ipairs(tree) do
			local rank = select(5, GetTalentInfo(tab, index, nil, true))
			template[tab][index] = rank
			total = total + rank
		end
	end
	for _, view in self:IterateTalentViews(template) do
		view:Update()
	end
end
